#ifndef _KGR_PATCH_BSC1179616_H
#define _KGR_PATCH_BSC1179616_H

#if IS_ENABLED(CONFIG_SND_RAWMIDI)

int kgr_patch_bsc1179616_init(void);
void kgr_patch_bsc1179616_cleanup(void);


struct snd_rawmidi_substream;
struct snd_rawmidi_params;

int kgrp_snd_rawmidi_input_params(struct snd_rawmidi_substream *substream,
			     struct snd_rawmidi_params *params);

#define KGR_PATCH_BSC1179616_FUNCS					\
	KGR_PATCH_OBJ(snd_rawmidi_input_params,			\
		      kgrp_snd_rawmidi_input_params, "snd_rawmidi"),	\

#else /* !IS_ENABLED(CONFIG_SND_RAWMIDI) */

static inline int kgr_patch_bsc1179616_init(void) { return 0; }

static inline void kgr_patch_bsc1179616_cleanup(void) {}

#define KGR_PATCH_BSC1179616_FUNCS

#endif /* IS_ENABLED(CONFIG_SND_RAWMIDI) */
#endif /* _KGR_PATCH_BSC1179616_H */
